Bug 1259833 - armhfp: host triplet mismatch between toolchain and infra
armhfp: host triplet mismatch between toolchain and infra
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
24
armv7hl Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Václav Pavlín
Fedora Extras Quality Assurance
:
: 1244942 (view as bug list)
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2015-09-03 11:12 EDT by Nicolas Chauvet (kwizart)
Modified: 2017-08-08 08:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:12:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2015-09-03 11:12:08 EDT
Description of problem:
There is a mismatch for the host compiler triplet from what is available in the default end-user system and what is configured from the fedora infrastructure.

As reported to the infrastructure team here:
https://fedorahosted.org/fedora-infrastructure/ticket/4858
The current expectation is to use armv7hl-redhat-linux-gnu like any others arches (x86_64 uses x86_64-redhat-linux-gnu and so on)

But as referenced here:
http://lwn.net/Articles/524945/
https://bugzilla.redhat.com/show_bug.cgi?id=881394
The expectation is to use armv7hl-redhat-linux-gnu<b>eabi</b> for the armhfp case.

There is a need to sort that out between all fedora teams.


Version-Release number of selected component (if applicable):
All fedora armhfp releases to date.

How reproducible:
always

Steps to Reproduce:
1. rpm -E %{_host} from end-user installed system shows armv7hl-redhat-linux-gnueabi

On the fedora infrastructure builders, any arched package use armv7hl-redhat-linux-gnu instead (without the eabi suffix).


Actual results:
There is a missmatch between the two case.

Expected results:
There is a need to use the same environnement between the two cases, so either use armv7hl-redhat-linux-gnu or armv7hl-redhat-linux-gnueabi everywhere.


Additional info:
It's possible to workaround the issue on earch package by issuing the --host option on the configure line.
Comment 1 Nicolas Chauvet (kwizart) 2015-09-03 11:17:19 EDT
As a side note, this is a tracker at the distribution level to discuss the issue.
I will add a separate bug for each package that need fixing (patches) once the decision to go from one way to another is sorted out.
Comment 2 Robert Kuska 2015-09-23 09:02:03 EDT
Python3(.5.0) uses triplet for naming its extension modules.

The problem in Python3 is that it uses linux-gnueabihf in its triplet for builds on armhfp, I've patched Python3 to use linux-gnueabi only and I rely on %{_gnu} macro to expand correctly to gnu or gnueabi based on arch being build on.
Comment 3 Dennis Gilmore 2015-09-23 10:10:10 EDT
(In reply to Robert Kuska from comment #2)
> Python3(.5.0) uses triplet for naming its extension modules.
> 
> The problem in Python3 is that it uses linux-gnueabihf in its triplet for
> builds on armhfp, I've patched Python3 to use linux-gnueabi only and I rely
> on %{_gnu} macro to expand correctly to gnu or gnueabi based on arch being
> build on.

python should just use linux-gnu everywhere
Comment 4 Nicolas Chauvet (kwizart) 2015-09-23 16:48:56 EDT
(In reply to Dennis Gilmore from comment #3)
> (In reply to Robert Kuska from comment #2)
> > Python3(.5.0) uses triplet for naming its extension modules.
> > 
> > The problem in Python3 is that it uses linux-gnueabihf in its triplet for
> > builds on armhfp, I've patched Python3 to use linux-gnueabi only and I rely
> > on %{_gnu} macro to expand correctly to gnu or gnueabi based on arch being
> > build on.
> 
> python should just use linux-gnu everywhere

But before that gcc on armhfp will at least need to be fixed to
use /usr/lib/gcc/armv7hl-redhat-linux instead of /usr/lib/gcc/armv7hl-redhat-linux-gnueabi like others arches and rpm -E %{_host} should output armv7hl-redhat-linux-gnu instead of armv7hl-redhat-linux-gnueabi
Comment 5 Nicolas Chauvet (kwizart) 2015-10-30 05:19:46 EDT
Some Related bugs:

llvm/clang: https://bugzilla.redhat.com/show_bug.cgi?id=803433
rpm: https://bugzilla.redhat.com/show_bug.cgi?id=1265700
Comment 6 Jan Kurik 2016-02-24 08:42:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 Nicolas Chauvet (kwizart) 2017-01-17 07:04:29 EST
*** Bug 1244942 has been marked as a duplicate of this bug. ***
Comment 8 Fedora End Of Life 2017-07-25 15:14:30 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-08-08 08:12:25 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.